### Enumeration

# AppStreamCompose ImageSaveFlags

since: 1.0

#### Declaration

    flags AppStreamCompose.ImageSaveFlags

#### Description [src]

The flags used for saving images.

Available since: 1.0

#### Members

`ASC_IMAGE_SAVE_FLAG_NONE`

  No special flags set.

  - Value: `0`
  - Nickname: `none`
  - Available since: 1.0
`ASC_IMAGE_SAVE_FLAG_OPTIMIZE`

  Optimize generated PNG for size.

  - Value: `1`
  - Nickname: `optimize`
  - Available since: 1.0
`ASC_IMAGE_SAVE_FLAG_PAD_16_9`

  Pad with alpha to 16:9 aspect.

  - Value: `2`
  - Nickname: `pad-16-9`
  - Available since: 1.0
`ASC_IMAGE_SAVE_FLAG_SHARPEN`

  Sharpen the image to clarify detail.

  - Value: `4`
  - Nickname: `sharpen`
  - Available since: 1.0
`ASC_IMAGE_SAVE_FLAG_BLUR`

  Blur the image to clear detail.

  - Value: `8`
  - Nickname: `blur`
  - Available since: 1.0